# Create a Financial Address

Create a new FinancialAddress for a FinancialAccount.

## Request

```curl
curl -X POST https://api.stripe.com/v2/money_management/financial_addresses \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-08-26.preview" \
  --json '{
    "financial_account": "fa_654f0m3x1JLdhVIIIT1A16O0lef0dSQgZ0EhGyZsQCXQ28m",
    "type": "us_bank_account"
  }'
```

### Response

```json
{
  "id": "finaddr_61O5ng8AAMZt30I2YH16O0lef0dSQgZ0EhGyZsQCXQHG4",
  "object": "v2.money_management.financial_address",
  "credentials": null,
  "status": "pending",
  "financial_account": "fa_654f0m3x1JLdhVIIIT1A16O0lef0dSQgZ0EhGyZsQCXQ28m",
  "created": "2023-03-30T17:22:06.188Z",
  "currency": "usd",
  "livemode": true
}
```

## Parameters

- `financial_account` (string, required)
  The ID of the FinancialAccount the new FinancialAddress should be associated with.

- `type` (enum, required)
  The type of FinancialAddress details to provision.
Possible enum values:
  - `gb_bank_account`
    A UK Bank Account credential. This indicates that the associated credentials object contains unique banking details pertinent to a UK bank account.

  - `us_bank_account`
    A US Bank Account credential. This indicates that the associated credentials object contains unique banking details pertinent to a US bank account.

## Returns

Returns a [Financial Address object](https://docs.stripe.com/api/v2/money-management/financial-addresses/object.md?api-version=2026-08-26.preview).

## Error Codes

| HTTP status code | Code | Description |
| --- | --- | --- |
| 400 | financial_account_balance_does_not_support_currency |  |
| 400 | financial_account_capability_not_enabled | Error thrown when attempting to add currencies that require capabilities that are not enabled. |
| 400 | financial_account_capability_restricted | Error thrown when attempting to add currencies that require capabilities that are restricted. |
| 400 | financial_account_feature_restricted |  |
| 400 | financial_account_not_in_open_status |  |
| 400 | financial_account_operation_unsupported_for_property | Operation not supported on Financial Accounts with this type and property. |
| 400 | financial_account_operation_unsupported_for_type | Operation not supported on Financial Accounts with this type. |
| 400 | financial_address_type_and_settlement_currency_pair_unsupported |  |
| 400 | financial_addresses_creation_limit_exceeded |  |
| 400 | storer_capability_missing | The required storer capabilities are missing. |
| 400 | storer_capability_not_active | The required storer capabilities are not active. |
| 400 | unsupported_currency | The currency is not supported for Financial Accounts. |
| 400 | unsupported_operation_with_managed_financial_account | Creation of an object is not allowed with a managed account. |
| 404 | not_found | The resource wasn’t found. |
| 409 | idempotency_error | An idempotent retry occurred with different request parameters. |
